For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
DashboardMint Website
  • Getting Started
    • Overview
    • Choose an Integration Path
    • React SDK Quickstart
    • Backend Payment Creation
    • Hosted Payments
  • Reference
    • React SDK Reference
  • API Reference
      • POSTPost V 1 Payments
      • GETGet V 1 Payments Payment Id
      • POSTPost V 1 Payments Crypto Pay Payment Id
      • GETGet V 1 Payments Crypto Pay Payment Id Payer Address Options
      • POSTPost V 1 Payments Payment Id Confirm
LogoLogo
DashboardMint Website
API ReferencePayments

Post V 1 Payments Payment Id Confirm

POST
https://api.getmint.money/v1/payments/:paymentId/confirm
POST
/v1/payments/:paymentId/confirm
1const url = 'https://api.getmint.money/v1/payments/paymentId/confirm';
2const options = {
3 method: 'POST',
4 headers: {'x-api-key': '<apiKey>', 'Content-Type': 'application/json'},
5 body: '{}'
6};
7
8try {
9 const response = await fetch(url, options);
10 const data = await response.json();
11 console.log(data);
12} catch (error) {
13 console.error(error);
14}
202Accepted
1{
2 "data": {
3 "status": "string"
4 },
5 "meta": {
6 "total": 1.1,
7 "offset": 1.1,
8 "limit": 1.1
9 },
10 "error": "string",
11 "status": 200
12}
Confirm a crypto payment by tx hash
Was this page helpful?
Previous
Built with

Authentication

x-api-keystring
API Key authentication via header

Path parameters

paymentIdstringRequiredformat: "uuid"

Request

This endpoint expects an object.
tx_hashstringOptional
lifi_quoteobjectOptional

Response

Default Response
dataobject
metaobject or null
errorstring or null
statusdoubleDefaults to 200